//--------------------------------------------------------------------------
// 
//  File:       bcaddon.cpp
//  Part of:    
//  Author:     Tim Philip (me@TimPhilip.net)
//  Compiler:	gcc (under BeOS)
//  Purpose:    
//
//  Notice:     (c) Copyright 2000, Tim Philip
//              All Rights Reserved
//
//  Created:    01/24/00 21:53:56
//
//--------------------------------------------------------------------------

#include <Debug.h>
#include <Application.h>
#include <Alert.h>
#include <Messenger.h>

#include "AddonMsgHandler.h"


//--------------------------------------------------------------------------
//	Prototypes
//--------------------------------------------------------------------------

// this creates the proper (ie. unmangled) entry function in the addon
extern "C" __declspec(dllexport) status_t bcaddon_init(const image_id id, const BMessenger *pBeChess, BMessenger **pMe);




//--------------------------------------------------------------------------
//	bcplugin_init()
//
//  This function is called when the add-on is first loaded.
//
//--------------------------------------------------------------------------
status_t bcaddon_init(const image_id id, const BMessenger *pBeChess, BMessenger **pMe)
{
	// id			BeChess uses this to identify this plugin.
	// pBeChess		Use this messenger to talk to BeChess.
	// pMe			Return a BMessenger that points to where you want your messages to go.	

	// Note:  You do not need to create a BApplication as you are running under
	//        the BeChess application.
	ASSERT( be_app != NULL );
	
	// Note:  Debug statements will break you right into your own code, for example:
	// ASSERT( false );
	
	(new BAlert("", "Welcome to the sample addon!", "Yeeha!"))->Go();

	// construct a message handler (normally your window?), and a BMessenger
	BCAddonMsgHandler *pMsgHandler = new BCAddonMsgHandler(pBeChess);
	BMessenger *pMyMsgr = new BMessenger(pMsgHandler);
	
	// Note:  Be sure to set pMe before exiting the function.
	*pMe = pMyMsgr;
	return B_OK;
}



